#ifndef __GCC_GOT_time_h_
#ifndef _PARAMS
#if defined(__STDC__) || defined(__cplusplus)
#define _PARAMS(ARGS) ARGS
#else
#define _PARAMS(ARGS) ()
#endif
#endif /* _PARAMS */
#define __GCC_GOT_time_h_
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"@(#)/usr/include/time.h.sl 1.5 4.2 04/20/87 18195 AT&T-SF"
/*	3.0 SID #	1.2	*/
struct	tm {	/* see ctime(3) */
	int	tm_sec;
	int	tm_min;
	int	tm_hour;
	int	tm_mday;
	int	tm_mon;
	int	tm_year;
	int	tm_wday;
	int	tm_yday;
	int	tm_isdst;
};
extern struct tm *gmtime _PARAMS((const long *)), *localtime _PARAMS((const long *));
extern char *ctime _PARAMS((const long *)), *asctime _PARAMS((const struct tm *));
int  cftime _PARAMS((char *, char *, const long *)),  ascftime _PARAMS((char *, const char *, const struct tm *));
extern void tzset();
extern long timezone, altzone;
extern int daylight;
extern char *tzname[];
#if defined(__cplusplus) || defined(__USE_FIXED_PROTOTYPES__)
extern int clock (void);
extern double difftime (long , long );
extern long mktime (struct tm *);
extern __SIZE_TYPE__ strftime (char *, __SIZE_TYPE__ , const char *, const struct tm *);
extern long time (long *);
#endif /* defined(__cplusplus) || defined(__USE_FIXED_PROTOTYPES__*/
#endif /* !_GCC_GOT_time_h_ */
