#ifndef _PARAMS
#if defined(__STDC__) || defined(__cplusplus)
#define _PARAMS(ARGS) ARGS
#else
#define _PARAMS(ARGS) ()
#endif
#endif /* _PARAMS */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"@(#)/usr/include/dirent.h.sl 1.3 4.2 04/20/87 37866 AT&T-SF"


#define MAXNAMLEN	512		/* maximum filename length */
#define DIRBUF		1048		/* buffer size for fs-indep. dirs */


typedef struct
	{
	int	dd_fd;			/* file descriptor */
	int	dd_loc;			/* offset in block */
	int	dd_size;		/* amount of valid data */
	char	*dd_buf;		/* directory block */
	}	DIR;			/* stream data from opendir() */

extern DIR		*opendir _PARAMS((const char *));
extern struct dirent	*readdir _PARAMS((DIR *));
extern long		telldir _PARAMS((DIR *));
extern void		seekdir _PARAMS((DIR *, long int));
extern int		closedir _PARAMS((DIR *));

#define rewinddir( dirp )	seekdir( dirp, 0L )
#include <sys/dirent.h>
